cups 1.4.6-8 source package in Ubuntu

Changelog

cups (1.4.6-8) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/usb-backend-accept-old-usblp-uris.dpatch: Let the
    libusb-based "usb" backend accept also the old device URIs from the
    usblp-kernel-module-based "usb" backend, so that printing stays working
    for users who update from an old CUPS package with the usblp-based backend
    without needing to migrate the URIs. Warnings in error_log tell about
    the use of old URIs and the advantages of updating them.
  * debian/patches/cups-deviced-allow-device-ids-with-newline.dpatch: Fixed
    segfault happening sometimes when a device with a newline in its device
    ID is found.

  [ Martin Pitt ]
  * Drop usb-backend-both-usblp-and-libusb.dpatch. It's causing crashes, and
    upstream does not want it either. Instead, add a blacklist file
    debian/local/blacklist-cups-usblp.patch and install it into
    /etc/modprobe.d/; that way, we don't require kernels to disable usblp, and
    allow other spoolers than cups to work.
  * debian/cups.postinst: rmmod usblp on upgrades from earlier versions or
    fresh installs, to make above change effective without reboots as well.
 -- Martin Pitt <email address hidden>   Fri, 10 Jun 2011 11:35:33 +0200

Upload details

Uploaded by:
Martin Pitt on 2011-06-10
Uploaded to:
Oneiric
Original maintainer:
Debian CUPS Maintainers
Component:
main
Architectures:
any
Section:
net
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size MD5 Checksum
cups_1.4.6.orig.tar.gz 5.2 MiB e56aaff5a0a3c339d5733675a443b1ce
cups_1.4.6-8.diff.gz 511.1 KiB db2fe75bff0ba2daa44351e56b4980e4
cups_1.4.6-8.dsc 2.7 KiB e697f0a012dd2fc4dca481ef4752e687

Available diffs

View changes file

Binary packages built by this source

cups: No summary available for cups in ubuntu oneiric.

No description available for cups in ubuntu oneiric.

cups-bsd: No summary available for cups-bsd in ubuntu oneiric.

No description available for cups-bsd in ubuntu oneiric.

cups-client: No summary available for cups-client in ubuntu oneiric.

No description available for cups-client in ubuntu oneiric.

cups-common: No summary available for cups-common in ubuntu oneiric.

No description available for cups-common in ubuntu oneiric.

cups-dbg: No summary available for cups-dbg in ubuntu oneiric.

No description available for cups-dbg in ubuntu oneiric.

cups-ppdc: No summary available for cups-ppdc in ubuntu oneiric.

No description available for cups-ppdc in ubuntu oneiric.

cupsddk: No summary available for cupsddk in ubuntu oneiric.

No description available for cupsddk in ubuntu oneiric.

libcups2: No summary available for libcups2 in ubuntu oneiric.

No description available for libcups2 in ubuntu oneiric.

libcups2-dev: No summary available for libcups2-dev in ubuntu oneiric.

No description available for libcups2-dev in ubuntu oneiric.

libcupscgi1: No summary available for libcupscgi1 in ubuntu oneiric.

No description available for libcupscgi1 in ubuntu oneiric.

libcupscgi1-dev: No summary available for libcupscgi1-dev in ubuntu oneiric.

No description available for libcupscgi1-dev in ubuntu oneiric.

libcupsdriver1: No summary available for libcupsdriver1 in ubuntu oneiric.

No description available for libcupsdriver1 in ubuntu oneiric.

libcupsdriver1-dev: No summary available for libcupsdriver1-dev in ubuntu oneiric.

No description available for libcupsdriver1-dev in ubuntu oneiric.

libcupsimage2: No summary available for libcupsimage2 in ubuntu oneiric.

No description available for libcupsimage2 in ubuntu oneiric.

libcupsimage2-dev: No summary available for libcupsimage2-dev in ubuntu oneiric.

No description available for libcupsimage2-dev in ubuntu oneiric.

libcupsmime1: No summary available for libcupsmime1 in ubuntu oneiric.

No description available for libcupsmime1 in ubuntu oneiric.

libcupsmime1-dev: No summary available for libcupsmime1-dev in ubuntu oneiric.

No description available for libcupsmime1-dev in ubuntu oneiric.

libcupsppdc1: No summary available for libcupsppdc1 in ubuntu oneiric.

No description available for libcupsppdc1 in ubuntu oneiric.

libcupsppdc1-dev: No summary available for libcupsppdc1-dev in ubuntu oneiric.

No description available for libcupsppdc1-dev in ubuntu oneiric.